#include <iostream>
#include <cmath>

int main() {
    double k, p, r;
    int years = 0;

    std::cout << "Введите сумму кредита (k): ";
    std::cin >> k;
    std::cout << "Введите процентную ставку (p) в процентах годовых: ";
    std::cin >> p;
    std::cout << "Введите прибыль (r) в рублях в год: ";
    std::cin >> r;

    p /= 100;

    while (k > 0) {
        k += k * p;
        k -= r;
        years++;
    }

    std::cout << "Кредит будет погашен через " << years << " лет." << std::endl;

    return 0;
}
